/* ip_arp_sup.h */
/* Definitions file for ARP support procedures. */

/****************************************/
/*	Copyright (c) 1987,88,89,90,91		*/
/*			by MIL 3, Inc.				*/
/*		(A Delaware Corporation)		*/
/*	3400 International Drive,  N.W.		*/
/*		Washington, D.C., U.S.A.		*/
/*			All Rights Reserved.		*/
/****************************************/

/* Data Structures */

typedef struct
	{
	int					node_num;
	int					phys_addr;
	} arp_trans;


typedef struct
	{
	int					num_mappings;
	arp_trans*			mapping_set;
	} arp_table;



/* Special Physical address constants. */
#define ARP_TBL_ADDR_NONE		0x7FFFFFFE


/* Routing Instruction Field Identifiers */
#define	ARP_TBL_NODE_NUM_FIELD	0
#define	ARP_TBL_PHYS_ADDR_FIELD	1


/* Procedure Declarations */
arp_table*			arp_sup_table_setup ();
Compcode			arp_sup_phys_addr_get ();

List*				arp_sup_table_load ();
arp_table*			arp_sup_list_parse ();
void				arp_sup_table_print ();




